{
   "format_version":"1.16.100",
   "minecraft:item":{
      "description":{
         "category":"equipment",
         "identifier":"vatonage:leafspark"
      },
      "components":{
         "minecraft:max_stack_size":1,
         "minecraft:use_duration":2,
         "minecraft:hand_equipped":true,
         "minecraft:durability":{
            "max_durability":20
         },
         "minecraft:repairable":{
            "repair_items":[
               {
                  "repair_amount":15,
                  "items":[
                     "vatonage:ironleaf"
                  ]
               }
            ]
         },
         "minecraft:cooldown":{
            "category":"leafspark",
            "duration":15
         },
         "minecraft:icon":{
            "texture":"leafspark"
         },
         "minecraft:display_name":{
            "value":"Leafspark\nSummon"
         },
         "minecraft:on_use":{
            "on_use":{
               "event":"used"
            }
         }
      },
      "events":{
         "used":{
            "swing":{
            },
            "run_command":{
               "command":[
                  "summon vatonage:summon_leafspark"
               ]
            },
            "damage":{
               "type":"magic",
               "amount":1,
               "target":"self"
            }
         }
      }
   }
}